Unofficial CSE API Docs

Live-probed documentation for https://www.cse.lk/api. Not affiliated with the Colombo Stock Exchange.

POST /getAnnouncementById

disclosures probe ok

Often 204 No Content — list endpoints are more reliable.

Used by UI: —

Last probe status: 204 · expect [200, 204]

curl

curl -sS -X POST 'https://www.cse.lk/api/getAnnouncementById' \
  -H 'Content-Type: application/x-www-form-urlencoded' \
  -H 'Origin: https://www.cse.lk' -H 'Referer: https://www.cse.lk/' \
  -d 'announcementId=1'

Known failures

Fields

Sample

{
  "_probe": {
    "id": "getAnnouncementById",
    "url": "https://www.cse.lk/api/getAnnouncementById",
    "method": "POST",
    "status": 204,
    "verified_at": "2026-07-16T16:34:42.826236+00:00",
    "fingerprint": {
      "type": "object",
      "keys": [
        "_empty",
        "_http_status"
      ]
    }
  },
  "response": {
    "_empty": true,
    "_http_status": 204
  }
}